<template>
  <div>
    <el-select v-model="seleValue" placeholder="请选择" :disabled="fnType()" @change="seleFn">
        <el-option
            v-for="item in dataList"
            :key="item.value"
            :label="item.label"
            :value="item.value">
        </el-option>
    </el-select>
  </div>
</template>

<script>
export default {
    props:["type","dataList","size","disabled","seleValue"],
    data(){
        return {
           
        }
    },
    methods:{
        fnType(){
            if((this.disabled ?? '') != ''){
                return this.disabled;
            }
            this.type ?? '007';
            return  this.type == '007' ? true : false;
            
        },
        seleFn(val){
            this.$emit("selectFn",val)
        }
    }
}
</script>

<style lang="scss" scoped>

</style>